Package org.eclipse.jface.dialogs

# Interface IScopeChangeProvider

public interface IScopeChangeProvider

Since:
  3.38

## Method Summary

Modifier and Type
Method
Description
`void`
`addScopeChangedListener(IScopeChangedListener listener)`
Adds a listener for scope changes in this scope change provider.
`void`
`removeScopeChangedListener(IScopeChangedListener listener)`
Removes the given scope change listener from this page change provider.

## Method Details

### addScopeChangedListener

void addScopeChangedListener(IScopeChangedListener listener)
Adds a listener for scope changes in this scope change provider. Has no effect if an identical listener is already registered.

Parameters:
  `listener` - a scope changed listener

### removeScopeChangedListener

void removeScopeChangedListener(IScopeChangedListener listener)
Removes the given scope change listener from this page change provider. Has no effect if an identical listener is not registered.

Parameters:
  `listener` - a scope changed listener